<?php use_helper('UrlFunctions'); ?>
<script>
findControl = function(){
  
  concatValueStr();
  
}

exportFindControl = function(action){
  strFormSerialize = returnQueryStringForm();
  executeFind(strFormSerialize, action);
}

executeFind = function(str, action){
  if(typeof(action) == 'undefined'){
	  url = "<?=buildUrl('rep/grid_pagos', "block=".$block)?>";
	}else{
	  switch (action){
	    case 'addpays':
	    			if($('cboMercado').selectedIndex > 0){
	    				parent.objMainTab.reqBody('<?=buildUrl('rep/addpays')?>','001&'+str); 
	    			}else{
	    				alert('Debe de seleccionar un Mercado para Ingresar los Pagos')
	    				return;
	    			}
	    			break;
	    case 'excel': parent.objMainTab.reqBody('<?=buildUrl('rep/excel_pagos')?>','001&'+str); break;
	    case 'pdf': parent.objMainTab.reqBody('<?=buildUrl('rep/pdf1')?>','001&'+str); break;	    
	  }
	  
	  return;
	}
  //str = str + '&block=001';
  url = "<?=buildUrl('rep/grid_pagos', "block=".$block)?>";
	var myAjax  = new Ajax.Updater(
                                	"resultGrtid",
                                	url,
                                	{
                                		asynchronous:	true,
                                		method			: 'get',
                                		parameters	: str,
                                		evalScripts	: true,
                                		onLoading   : cargandoImagenSerch(),
                                		onComplete	: function(){
                                			//objMainTab.showMenu();
                                		}
                                	});
}

concatValueStr = function(){
  strFormSerialize = returnQueryStringForm();
  if(arguments[0]){
    strFormSerialize += '&'+arguments[0];
  }
  executeFind(strFormSerialize);
}

function returnQueryStringForm(){
  cadenaFormulario = $('form1').serialize();
             var posicion = new Array();
             var a_pars = new Array();
             var miArray = new Array();
             posicion=[];
             a_pars=[];
             miArray=[];
             miArray = cadenaFormulario.split('&');
             x=0;
             for (i = 0; i < miArray.length; i++){
            	   posicion[i] = miArray[i].indexOf('=');
            	   if(typeof(miArray[i-1])!='undefined'){
            				if(miArray[i].substring(posicion[i],0)== miArray[i-1].substring(posicion[i-1],0) ){
           					 porcion = miArray[i].substring((1+posicion[i]));
           					 a_pars[x-1]+='@'+porcion;
           				}else{
          					 a_pars[x]= miArray[i];
         					 x++;
          				}
          		}else{
          			 a_pars[x]= miArray[i];
          			  x++;
          		}
           }
  cadenaFormulario = a_pars.join('&');
  cadenaFormulario += '&id_form=frmFindFedu';
  return(cadenaFormulario);
}

function cargandoImagenSerch(){
	//disabledWin.setPathImage('/images/common/progress.gif');
	disabledWin.show(true,true,'resultGrtid');
}

</script>
<script>
findControl = function(){
  
  var pars = $('form1').serialize();
  
	disabledWin.setPathImage('/images/common/progress.gif');
	disabledWin.show(true,true,'resultGrtid');
  
	url = "<?=buildUrl('rep/grid_pagos', "block=".$block)?>";
	var myAjax  = new Ajax.Updater(
	"resultGrtid",
	url,
	{
		asynchronous:	true,
		method			: 'get',
		parameters	: pars,
		evalScripts	: true,
		onLoading		: function(){
			//$('contentMenu').innerHTML = $('messageLoadMenu').innerHTML;
		},
		onComplete	: function(){
			//objMainTab.showMenu();
		}
	});
  
}

deleteRegistro = function(id,codigo){
  //buildUrl('rep/delete/id/'block=001'
  if(confirm("�Esta seguro de eliminar la ficha del docente con codigo : "+codigo+ " ?")){
      //objMainTab.reqBody('<? //=buildUrl('rep/add')?>','block=001&delete=1&id='+id);   
      parent.objMainTab.reqBody('<?=buildUrl('rep/delete')?>','&delete=1&cod=jj&id='+id);
  }
  
}

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>

<?php
//Carga los Mercado
 $o_ClienteSystemClass = new ClienteSystemClass(new TipoNegocioBean());
  $a_Mercado = $o_ClienteSystemClass->LoadMercadoXRol();

if(myUser::getUser()->getIdPadre() || myUser::getUser()->getRoleId() == "sys.ope"){
	$o_ColaboradorBean_Temp = new ColaboradorBean();
	$a_id_colaborador[]=myUser::getUser()->getIdColaborador();
	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
	$o_ColaboradorBL_Temp = new ColaboradorBL();
	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
	$idAdministrador = $o_ColaboradorBeanResult[0]->getIdPadre();
	$ColaboradorBean = new ColaboradorBean();
	$ColaboradorBean->setIdColaboradores($a_id_colaborador);
	$ColaboradorDP = new ColaboradorDP($ColaboradorBean);
	$a_Colaborador = $ColaboradorDP->select();
}elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres Rol actualmente sys.gen y sys.view
	//SIN FILTRO
}else{
	$idAdministrador = myUser::getUser()->getIdColaborador();
}

if($idAdministrador){
	$o_ColaboradorBean = new ColaboradorBean();
	$o_ColaboradorBean->setIdPadre($idAdministrador);
	
	$o_colaborador = new ColaboradorBean();
	$o_colaborador->setIdPadre($idAdministrador);
	
	//$o_CapitalInicialSystemClass = new CapitalInicialSystemClass($o_colaborador);
	
	
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($idAdministrador);
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	//----------------------------------------------------
	
	$IdSucursal = $a_o_sucursal[0]->getIdSucursal();
		
	$o_BalanceDia = new BalanceDiaBean();	
	$o_BalanceDia->setIdSucursal($IdSucursal);
	$o_BalanceDia->setIdAdministrador($idAdministrador);
	$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
	$fecha = $o_BalanceDiaDP->ObtenerDiaAbierto();
	//Colaboradores de su Sucursal con su Id de Administrador
	$a_id_colaborador = $o_BalanceDiaDP->ObtenerColaboradores($idAdministrador);
	$ColaboradorBean = new ColaboradorBean();
	$ColaboradorBean->setIdColaboradores($a_id_colaborador);
	$ColaboradorDP = new ColaboradorDP($ColaboradorBean);
	$a_Colaborador = $ColaboradorDP->select();
	

}

$o_BalanceDia = new BalanceDiaBean();
$o_BalanceDia->setIdSucursal($IdSucursal);
$o_BalanceDia->setIdAdministrador($idAdministrador);

$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
$fecha = $o_BalanceDiaDP->ObtenerDiaAbierto();



?>

<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" style="background: #E3E9E2" width="99%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top">
      <form name="form1" id="form1" method="POST">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody"><li>&nbsp;&nbsp;Pago de Morosidad</li></td>
          <td align="right" valign="baseline">
            
            <img src="/images/common/buttons/btnExcel.gif" title="Exportar a Excel" onClick="exportFindControl('excel');" style="cursor:pointer"/>

          </td>
        </tr>
      </table>
       <table class="marco" width="100%">
         <tr>
             <td align="center" valign="top">
	            <table width="100%" border="0" cellspacing="0" cellpadding="0">
	             <tr>
	                <td valign="top">
	                    <table width="50%" border="0" cellspacing="2" cellpadding="0">
	                      <tr>
		                      <td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtAdministrador" >Representante</label></td>
				  				  <td nowrap="nowrap"><select class="combo validate-selection " name="cboColaborador" id="cboColaborador" onchange="acutalizarEspecialidad('cboEspecialidad',this)" >
				                 
				                  <?php foreach ($a_Colaborador as $iKey => $o_ColaboradorBean){ ?>
				                  <option value="<?=$o_ColaboradorBean->getIdColaborador()?>">
				                    <?=$o_ColaboradorBean->getNombreCompleto()?>
				                  </option>
				                  <?php } ?>
				                </select>
		                     </td>
		                    
		                     <td width="15%"  nowrap="nowrap" class="cabecera"><label class="label" for="txtFechaPago">Fecha Inicial</label></td>
                              <td nowrap="nowrap"><input class="text" type="text" ondblclick="this.value=''" size="8" maxlength="10" name="txtFechaInicial" id="txtFechaInicial" value="<?php echo $fecha?>" /><button type="button" onclick="return false" id="btnFechaInicial">...</button>
		                         <script type="text/javascript">
		                            document.getElementById("txtFechaInicial").disabled = false;
		                            Calendar.setup({
		                              inputField : "txtFechaInicial",
		                              ifFormat : "%Y-%m-%d",
		                              daFormat : "%Y-%m-%d",
		                              button   : "btnFechaInicial"
		                            });
		                         </script>
		                    </td>
		                       <td width="15%"  nowrap="nowrap" class="cabecera"><label class="label" for="txtFechaPago">Fecha Final</label></td>
                              <td nowrap="nowrap"><input class="text" type="text" ondblclick="this.value=''" size="8" maxlength="10" name="txtFechaFinal" id="txtFechaFinal"  value="<?php echo $fecha?>" /><button type="button" onclick="return false" id="btnFechaFinal">...</button>
		                         <script type="text/javascript">
		                            document.getElementById("txtFechaFinal").disabled = false;
		                            Calendar.setup({
		                              inputField : "txtFechaFinal",
		                              ifFormat : "%Y-%m-%d",
		                              daFormat : "%Y-%m-%d",
		                              button   : "btnFechaFinal"
		                            });
		                         </script>
		                         <input type="hidden" name="tipoPago" value="2">
		                    </td>
		                    <td align="right" colspan="2" style="vertical-align:top"><input class="button" type="button" value="Buscar" onclick="findControl();"/></td>
	                      </tr>	
	                      
	                      
	                    </table>
	                </td>
	                
	             </tr>
	            </table>
              </td>
          
			 
            </table>
          </td>
        </tr>
      </table>
       
      </form>
      <div id="resultGrtid">
      </div>
    </td>
  </tr>
</table>


<?php
if(isset($insert)){
  ?>
  <script>
    elementLoad.show(undefined,"Se inserto la ficha satisfactoriamente.");
    setTimeout("elementLoad.hide()",5000);
    $('cboMercado').value = "<?=$idMercado?>";
    findControl();
  </script>
  <?php
}
?>